SendfileState (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net

## Enum SendfileState

- java.lang.Object
- - java.lang.Enum<SendfileState>
  - - org.apache.tomcat.util.net.SendfileState

- All Implemented Interfaces:
    Serializable, Comparable<SendfileState>

      public enum SendfileState
      extends Enum<SendfileState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DONE` The file has been fully sent.
    `ERROR` Something went wrong.
    `PENDING` The sending of the file has started but has not completed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SendfileState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SendfileState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final SendfileState PENDING

      The sending of the file has started but has not completed. Sendfile is still using the socket.

    - #### DONE

          public static final SendfileState DONE

      The file has been fully sent. Sendfile is no longer using the socket.

    - #### ERROR

          public static final SendfileState ERROR

      Something went wrong. The file may or may not have been sent. The socket is in an unknown state.

  - ### Method Detail

    - #### values

          public static SendfileState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SendfileState c : SendfileState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SendfileState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.